Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Interface ICommunityMemberManager

All Known Subinterfaces:
  CommunityMemberManager

    public interface ICommunityMemberManager

Interface for the Communities Membership Manager. Implementations of this interface allow for management of Community Members including CRUD operations on Community Members, their memberships in specific Communities, capabilities within those Communities and association with MessagingAddresses for use by the Communities framework and Communities applications.

The overview of community functionality contains a description of the community framework.

See Also
  `CommunityContext`, `CommunityUserContext`
  This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`void` | `activateMember(CustomizationContext customizationContext, CommunityMemberId id)` Activates a disabled `CommunityMember` globally for all Communities.
`void` | `activateMembership(CustomizationContext customizationContext, CommunityMemberId mId, CommunityDefinitionId cId)` Activates a `CommunityMembership` in the specified `CommunityDefinition`, making a disabled member able to use the community once again.
`void` | `addMembershipCapability(CustomizationContext customizationContext, CommunityMemberId mId, CommunityDefinitionId cId, MembershipCapability capability)` Adds a capability (owner, leader or manager) to the `CommunityMembership` specified.
`void` | `cleanupAllInactiveInvitations(CustomizationContext customizationContext)` Deletes all inactive status `Invitations` from the database
`void` | `cleanupInactiveInvitations(CustomizationContext customizationContext, CommunityDefinitionId communityId)` Deletes all inactive status `Invitations` from the database for a specified Community.
`InvitationStatus` | `consumeInvitation(CustomizationContext customizationContext, InviteeId inviteeId, InvitationStatus toStatus)` Consumes an `Invitation` that is in active status and moves it to one of the inactive statuses.
`CommunityMember` | `createMember(CustomizationContext customizationContext, CommunityMember info)` Creates a new `CommunityMember` based on the contents of the info parameter.
`CommunityMembership` | `createMembership(CustomizationContext customizationContext, CommunityMemberId mId, CommunityDefinitionId cDefinitionId)` Creates a `CommunityMembership` for the specified `CommunityMember` in the specified `CommunityDefinition`.
`CommunityMembership` | `createMembership(CustomizationContext customizationContext, CommunityMemberId mId, Invitation invitation)` Creates a `CommunityMembership` based on an `Invitation` that has been sent.
`void` | `disableMember(CustomizationContext customizationContext, CommunityMemberId id)` Disables a `CommunityMember` globally for all Communities.
`void` | `disableMembership(CustomizationContext customizationContext, CommunityMemberId mId, CommunityDefinitionId cId)` Disables a `CommunityMembership`.
`SortableFilterablePagedResult<String>` | `getAllCommunityAssociates(CustomizationContext context, MemberCriteria criteria, int pageSize)` Retrieves a paginated collection of all WLS user IDs of individuals belonging to the same communities the specified `CommunityMember` also belongs to.
`Collection<MessagingAddress>` | `getAllMessagingAddresses(CustomizationContext customizationContext, CommunityMember member)` Gets all of the `MessagingAddresses` associated with the specified `CommunityMember`, as determined by User profile values that are mapped to Communities `MessagingAddresses`.
`SortableFilterablePagedResult<CommunityMembership>` | `getCommunityMemberships(CustomizationContext context, MembershipCriteria criteria, int pageSize)` Returns a paginated set of all `CommunityMembership` objects for the specified member that meet the specified criteria.
`Invitation` | `getInvitation(CustomizationContext customizationContext, CommunityDefinitionId communityId, String wlsUserName)` Retrieves an `Invitation` by communityId and wlsUserName.
`Invitation` | `getInvitation(CustomizationContext customizationContext, InviteeId inviteeId)` Retrieves an `Invitation` by `InviteeId`.
`Invitation` | `getInvitation(CustomizationContext customizationContext, String validationText)` Retrieves an `Invitation` by validation text.
`SortableFilterablePagedResult<Invitation>` | `getInvitations(CustomizationContext customizationContext, InvitationSearchCriteria invitationCriteria, int pageSize)` Paginated search method for getting `Invitations` matching the supplied `InvitationSearchCriteria` The returned PagedResult can be ordered by "USERNAME", "INVITE_ADDRESS", "STATUS", "DATE" and "FROM", and can be filterd by "INVITE_ADDRESS", "STATUS", "DATE" and "FROM", using these filter methods: FilterMethod.BEGINS_WITH FilterMethod.ENDS_WITH FilterMethod.CONTAINS FilterMethod.EQUALS
`com.bea.netuix.application.manager.pagination.PageFetchResponse<Invitation>` | `getInvitationsPage(com.bea.netuix.application.manager.pagination.RequestMetadata<com.bea.netuix.application.manager.persistence.jdbc.hint.InvitationPageFetchHint> request)` Callback method to support paging for getInvitations
`CommunityMember` | `getMember(CustomizationContext customizationContext, CommunityMemberId memberId)` Retrieves a `CommunityMember` object populated with information for the `CommunityMember` specified by `CommunityMemberId`.
`CommunityMember` | `getMember(CustomizationContext customizationContext, String userId)` Retrieves a `CommunityMember` object populated with information for the `CommunityMember` specified by id.
`CommunityMembership` | `getMembership(CustomizationContext customizationContext, CommunityMemberId mId, CommunityDefinitionId cId)` Returns the `CommunityMembership` information for a `CommunityMember`, if they have a membership in the specified community.
`CommunityMembership` | `getMembership(CustomizationContext customizationContext, String username, CommunityDefinitionId cId)` Returns the `CommunityMembership` information for a user if they have a membership in the specified community.
`MessagingAddress` | `getMessagingAddress(CustomizationContext customizationContext, CommunityMember member, MessagingAddressType addrType, String mappingName)` Gets the `MessagingAddress` of a particular type and mapping name for the specified `CommunityMember`.
`Collection<MessagingAddress>` | `getMessagingAddresses(CustomizationContext customizationContext, CommunityMember member, MessagingAddressType addrType)` Gets all `MessagingAddresses` of a particular type for the specified `CommunityMember`.
`MessagingAddress` | `getPrimaryMessagingAddress(CustomizationContext customizationContext, CommunityMember member, MessagingAddressType addrType)` Gets the primary `MessagingAddress` of a particular type for the specified `CommunityMember`.
`void` | `inviteToCommunity(CustomizationContext customizationContext, InviteeIterator invitees, InvitationDetails inviteDetails, CommunityInviter[] inviters)` Invites a set of `Invitees` to a community, via a specified set of communications methods.
`void` | `removeInvitation(CustomizationContext customizationContext, InviteeId inviteeId)` Deletes a single `Invitation` from the database.
`void` | `removeMember(CustomizationContext customizationContext, CommunityMemberId id)` Removes a `CommunityMember` globally for all Communities.
`void` | `removeMembership(CustomizationContext customizationContext, CommunityMemberId mId, CommunityDefinitionId cId)` Deletes a `CommunityMembership` for a `CommunityMember` in a specified `CommunityDefinition`.
`void` | `removeMembershipCapability(CustomizationContext customizationContext, CommunityMemberId mId, CommunityDefinitionId cId, MembershipCapability capability)` Removes a capability (owner, leader or manager) from the `CommunityMembership` specified.
`void` | `setMessagingAddress(CustomizationContext customizationContext, CommunityMember member, MessagingAddress m, String mappingName)` Sets a `MessagingAddress` value into a mapped property in the User Profile for this `CommunityMember` that is used as the mapped address for the `MessagingAddressType` specified in the `MessagingAddress`.
`void` | `setPrimaryMessagingAddress(CustomizationContext customizationContext, CommunityMember member, MessagingAddress m)` Sets a `MessagingAddress` value into a mapped property in the User Profile for this `CommunityMember` that is used as the primary address for the `MessagingAddressType` specified in the `MessagingAddress`.
`void` | `synchronousInviteToCommunity(CustomizationContext customizationContext, InviteeIterator invitees, InvitationDetails inviteDetails, CommunityInviter[] inviters)` Invites a set of `Invitees` to a community, via a specified set of communications methods.
`long` | `updateLastAccessDate(CustomizationContext customizationContext, CommunityMembershipId membershipId)` Updates the last access date for the specified membership to the current time.

Method Detail

### createMember

    CommunityMember createMember(CustomizationContext customizationContext,
                                 CommunityMember info)
                                 throws RemoteException,
                                        DuplicateObjectException

  Creates a new `CommunityMember` based on the contents of the info parameter.

  Parameters
    `customizationContext` - customization information
    `info` - a set of information on which to base the creation of the new `CommunityMember`
  Returns
    a `CommunityMember` object populated with values corresponding to the new `CommunityMember`
  Throws
    `DuplicateObjectException` - if a member record already exists for the WLS user specified in the `CommunityMember` object.
    `RemoteException`

### getMember

    CommunityMember getMember(CustomizationContext customizationContext,
                              String userId)
                              throws RemoteException

  Retrieves a `CommunityMember` object populated with information for the `CommunityMember` specified by id. If deepInfo is set to true, `CommunityMembership` information is also retrieved and contained within the `CommunityMember` return value.

  Parameters
    `customizationContext` - customization information
    `userId` - the WLS user id of the `CommunityMember` to look up
  Returns
    a `CommunityMember` object populated with information for the specified `CommunityMember` if they exist, otherwise null.
  Throws
    `RemoteException`

### getMember

    CommunityMember getMember(CustomizationContext customizationContext,
                              CommunityMemberId memberId)
                              throws RemoteException

  Retrieves a `CommunityMember` object populated with information for the `CommunityMember` specified by `CommunityMemberId`.

  Parameters
    `customizationContext` - customization information
    `memberId` - the `CommunityMemberId` of the user id of the `CommunityMember` to look up
  Returns
    a `CommunityMember` object populated with information for the specified `CommunityMember` if they exist, otherwise null.
  Throws
    `RemoteException`

### disableMember

    void disableMember(CustomizationContext customizationContext,
                       CommunityMemberId id)
                       throws ObjectNotFoundException,
                              RemoteException

  Disables a `CommunityMember` globally for all Communities.

  Parameters
    `customizationContext` - customization information
    `id` - the id of the `CommunityMember` to disable.
  Throws
    `ObjectNotFoundException` - if the specified member does not exist in the database.
    `RemoteException`

### activateMember

    void activateMember(CustomizationContext customizationContext,
                        CommunityMemberId id)
                        throws ObjectNotFoundException,
                               RemoteException

  Activates a disabled `CommunityMember` globally for all Communities.

  Parameters
    `customizationContext` - customization information
    `id` - the id of the `CommunityMember` to activate.
  Throws
    `ObjectNotFoundException` - if the specified member does not exist in the database.
    `RemoteException`

### removeMember

    void removeMember(CustomizationContext customizationContext,
                      CommunityMemberId id)
                      throws ObjectNotFoundException,
                             RemoteException

  Removes a `CommunityMember` globally for all Communities.

  Parameters
    `customizationContext` - customization information
    `id` - the id of the `CommunityMember` to remove.
  Throws
    `ObjectNotFoundException` - if the specified member does not exist in the database.
    `RemoteException`

### createMembership

    CommunityMembership createMembership(CustomizationContext customizationContext,
                                         CommunityMemberId mId,
                                         CommunityDefinitionId cDefinitionId)
                                         throws IllegalArgumentException,
                                                DuplicateObjectException,
                                                RemoteException

  Creates a `CommunityMembership` for the specified `CommunityMember` in the specified `CommunityDefinition`.

  Parameters
    `customizationContext` - customization information
    `mId` - the id of the `CommunityMember`
    `cDefinitionId` - the id of the `CommunityDefinition`
  Returns
    a `CommunityMembership` object containing the new membership information.
  Throws
    `IllegalArgumentException` - if the invitation does not have "sent" status or if the invitation is not for the specified member.
    `DuplicateObjectException` - if a membership already exists for the specified member and community.
    `RemoteException`

### createMembership

    CommunityMembership createMembership(CustomizationContext customizationContext,
                                         CommunityMemberId mId,
                                         Invitation invitation)
                                         throws DuplicateObjectException,
                                                RemoteException

  Creates a `CommunityMembership` based on an `Invitation` that has been sent. The new membership is created based off of the `CommunityDefinition` referrenced by the `Invitation` and the `CommunityMember` specifed by member id. Any `MembershipCapabilities` in the `Invitation` will additionally be added to the membership, and the `Invitation` will be set to the `accepted` status.

  Parameters
    `customizationContext` - customization information
    `mId` - the id of the `CommunityMember` to create the membership for
    `invitation` - an `Invitation` to base the membership on
  Returns
    a `CommunityMembership` object containing the new membership information.
  Throws
    `DuplicateObjectException`
    `RemoteException`

### removeMembership

    void removeMembership(CustomizationContext customizationContext,
                          CommunityMemberId mId,
                          CommunityDefinitionId cId)
                          throws ObjectNotFoundException,
                                 RemoteException

  Deletes a `CommunityMembership` for a `CommunityMember` in a specified `CommunityDefinition`.

  Parameters
    `customizationContext` - customization information
    `mId` - the id of the `CommunityMember`
    `cId` - the id of the `CommunityDefinition`
  Throws
    `RemoteException`
    `ObjectNotFoundException` - if no membership for the specified community and member exists.

### disableMembership

    void disableMembership(CustomizationContext customizationContext,
                           CommunityMemberId mId,
                           CommunityDefinitionId cId)
                           throws ObjectNotFoundException,
                                  RemoteException

  Disables a `CommunityMembership`.

  Parameters
    `customizationContext` - customization information
    `mId` - the id of the `CommunityMember`
    `cId` - the id of the `CommunityDefinition`
  Throws
    `RemoteException`
    `ObjectNotFoundException` - if no membership for the specified community and member exists.

### activateMembership

    void activateMembership(CustomizationContext customizationContext,
                            CommunityMemberId mId,
                            CommunityDefinitionId cId)
                            throws RemoteException,
                                   ObjectNotFoundException

  Activates a `CommunityMembership` in the specified `CommunityDefinition`, making a disabled member able to use the community once again.

  Parameters
    `customizationContext` - customization information
    `mId` - the id of the `CommunityMember`
    `cId` - the id of the `CommunityDefinition`
  Throws
    `RemoteException`
    `ObjectNotFoundException` - if no membership for the specified community and member exists.

### getMembership

    CommunityMembership getMembership(CustomizationContext customizationContext,
                                      CommunityMemberId mId,
                                      CommunityDefinitionId cId)
                                      throws RemoteException

  Returns the `CommunityMembership` information for a `CommunityMember`, if they have a membership in the specified community.

  Parameters
    `customizationContext` - customization information
    `mId` - the id of the `CommunityMember`
    `cId` - the id of the `CommunityDefinition`
  Returns
    a `CommunityMembership` object populated with membership information for the specified `CommunityMember`, if it exists, otherwise null.
  Throws
    `RemoteException`

### getMembership

    CommunityMembership getMembership(CustomizationContext customizationContext,
                                      String username,
                                      CommunityDefinitionId cId)
                                      throws RemoteException

  Returns the `CommunityMembership` information for a user if they have a membership in the specified community.

  Parameters
    `customizationContext` - customization information
    `username` - the WLS username of the user
    `cId` - the id of the `CommunityDefinition`
  Returns
    a `CommunityMembership` object populated with membership information for the specified user, if it exists, otherwise null.
  Throws
    `RemoteException`

### updateLastAccessDate

    long updateLastAccessDate(CustomizationContext customizationContext,
                              CommunityMembershipId membershipId)
                              throws ObjectNotFoundException,
                                     RemoteException

  Updates the last access date for the specified membership to the current time.

  Parameters
    `customizationContext` - customization information
    `membershipId` - the ID for the `CommunityMembership` to update
  Returns
    the new last access timestamp for the membership.
  Throws
    `ObjectNotFoundException` - if no membership can be found in the database matching the specified membership ID.
    `RemoteException`

### getCommunityMemberships

    SortableFilterablePagedResult<CommunityMembership> getCommunityMemberships(CustomizationContext context,
                                                                               MembershipCriteria criteria,
                                                                               int pageSize)
                                                                               throws RemoteException

  Returns a paginated set of all `CommunityMembership` objects for the specified member that meet the specified criteria.

  If the returned SortableFilterablePagedResult is re-filtered using the reFilter() method, the filter specified is used in addition to the original filter criteria specified in the MembershipCriteria object. If the filter criteria specified in the reFilter() method conflicts with a criteria specified in the original MembershipCriteria object, the newly specified filter criteria is used in place of the original MembershipCriteria for that field only; all other field criteria specified in the MembershipCriteria object will still be used as filter criteria. The returned PagedResult is sortable by "USERNAME", "MEMBER_IS_ACTIVE", "MEMBER_IS_EXTERNAL", "MEMBERSHIP_IS_ACTIVE", "LAST_ACCESS_DATE" and "JOIN_DATE". The returned PagedResult is filterable by "USERNAME", using these filter methods:
  - FilterMethod.UNFILTERED
  - FilterMethod.BEGINS_WITH
  - FilterMethod.ENDS_WITH
  - FilterMethod.CONTAINS
  - FilterMethod.EQUALS

  Parameters
    `context` - the context for the search.
    `criteria` - the criteria CommunityMemberships must match to be returned. If a MemberMembershipCriteria object is used, memberships matching the specified criteria for the specified member will be returned. If a CommunityMembershipCriteria object is used, memberships matching the specified criteria for the specified community will be returned.
    `pageSize` - the number of membership objects to return per result page.
  Returns
    a paginated collection of all memberships that meet the specified criteria. Note that this method may return memberships in communities which are in multiple different web applications if a MemberMembershipCriteria object is used as the criteria.
  Throws
    `RemoteException`

### getAllCommunityAssociates

    SortableFilterablePagedResult<String> getAllCommunityAssociates(CustomizationContext context,
                                                                    MemberCriteria criteria,
                                                                    int pageSize)
                                                                    throws RemoteException,
                                                                           ObjectNotFoundException

  Retrieves a paginated collection of all WLS user IDs of individuals belonging to the same communities the specified `CommunityMember` also belongs to. The returned PagedResult can be sorted and filtered "USERNAME" using filter methods:
  - FilterMethod.BEGINS_WITH
  - FilterMethod.ENDS_WITH
  - FilterMethod.CONTAINS
  - FilterMethod.EQUALS

  Parameters
    `context` - the context for the search.
    `criteria` - the specification of the `CommunityMember` to get community associates of.
    `pageSize` - the number of usernames to return per result page.
  Returns
    A collection of `String` WLS user IDs which is the merged community membership list for all communities the specified `CommunityMember` belongs to. A WLS user ID will only be included once, even if the user has a membership in multiple communities to which the specified `CommunityMember` also belongs.
  Throws
    `ObjectNotFoundException` - if the member specified in the criteria cannot be found.
    `RemoteException`

### addMembershipCapability

    void addMembershipCapability(CustomizationContext customizationContext,
                                 CommunityMemberId mId,
                                 CommunityDefinitionId cId,
                                 MembershipCapability capability)
                                 throws RemoteException,
                                        IllegalArgumentException,
                                        ObjectNotFoundException

  Adds a capability (owner, leader or manager) to the `CommunityMembership` specified.

  Parameters
    `customizationContext` - customization information
    `mId` - the id of the `CommunityMember` whose membership is to be modified.
    `cId` - the id of the `Community` for the membership.
    `capability` - the capability to add to the membership, which is one of the `CommunityMembership.Capability` constants.
  Throws
    `RemoteException`
    `IllegalArgumentException` - if the capability specified is not valid.
    `ObjectNotFoundException` - if the specified community membership does not exist.

### removeMembershipCapability

    void removeMembershipCapability(CustomizationContext customizationContext,
                                    CommunityMemberId mId,
                                    CommunityDefinitionId cId,
                                    MembershipCapability capability)
                                    throws RemoteException,
                                           IllegalArgumentException,
                                           ObjectNotFoundException

  Removes a capability (owner, leader or manager) from the `CommunityMembership` specified.

  Parameters
    `customizationContext` - customization information
    `mId` - the id of the `CommunityMember` whose membership is to be modified.
    `cId` - the id of the `Community` for the membership.
    `capability` - the capability to remove from the membership, which is one of the `CommunityMembership.Capability` constants.
  Throws
    `RemoteException`
    `IllegalArgumentException` - if the capability specified is not valid.
    `ObjectNotFoundException` - if the specified community membership does not exist.

### setPrimaryMessagingAddress

    void setPrimaryMessagingAddress(CustomizationContext customizationContext,
                                    CommunityMember member,
                                    MessagingAddress m)
                                    throws RemoteException,
                                           ProfileNotFoundException,
                                           PropertyValidationException

  Sets a `MessagingAddress` value into a mapped property in the User Profile for this `CommunityMember` that is used as the primary address for the `MessagingAddressType` specified in the `MessagingAddress`.

  Parameters
    `customizationContext` - customization information
    `member` - the `CommunityMember` to add the address to.
    `m` - the `MessagingAddress value to set`
  Throws
    `RemoteException`
    `ProfileNotFoundException`
    `PropertyValidationException`

### setMessagingAddress

    void setMessagingAddress(CustomizationContext customizationContext,
                             CommunityMember member,
                             MessagingAddress m,
                             String mappingName)
                             throws RemoteException,
                                    ProfileNotFoundException,
                                    PropertyValidationException

  Sets a `MessagingAddress` value into a mapped property in the User Profile for this `CommunityMember` that is used as the mapped address for the `MessagingAddressType` specified in the `MessagingAddress`.

  Parameters
    `customizationContext` - customization information
    `member` - the `CommunityMember` to add the address to.
    `m` - the `MessagingAddress value to set`
    `mappingName` - the name of the `MessagingAddressMapping` to use to set the `MessagingAddress`
  Throws
    `RemoteException`
    `ProfileNotFoundException`
    `PropertyValidationException`

### getPrimaryMessagingAddress

    MessagingAddress getPrimaryMessagingAddress(CustomizationContext customizationContext,
                                                CommunityMember member,
                                                MessagingAddressType addrType)
                                                throws RemoteException,
                                                       ProfileNotFoundException

  Gets the primary `MessagingAddress` of a particular type for the specified `CommunityMember`.

  Parameters
    `customizationContext` - customization information
    `member` - the `CommunityMember`
    `addrType` - the type of `MessagingAddress`
  Returns
    a `MessagingAddress` of the specified type, if it exists, otherwise null. Null is also returned if the specified member does not exist.
  Throws
    `RemoteException`
    `ProfileNotFoundException`

### getMessagingAddress

    MessagingAddress getMessagingAddress(CustomizationContext customizationContext,
                                         CommunityMember member,
                                         MessagingAddressType addrType,
                                         String mappingName)
                                         throws RemoteException,
                                                ProfileNotFoundException

  Gets the `MessagingAddress` of a particular type and mapping name for the specified `CommunityMember`.

  Parameters
    `customizationContext` - customization information
    `member` - the `CommunityMember`
    `addrType` - the type of `MessagingAddress`
  Returns
    a `MessagingAddress` of the specified type, if it exists, otherwise null. Null is also returned if the specified member does not exist.
  Throws
    `RemoteException`
    `ProfileNotFoundException`

### getMessagingAddresses

    Collection<MessagingAddress> getMessagingAddresses(CustomizationContext customizationContext,
                                                       CommunityMember member,
                                                       MessagingAddressType addrType)
                                                       throws RemoteException,
                                                              ProfileNotFoundException

  Gets all `MessagingAddresses` of a particular type for the specified `CommunityMember`.

  Parameters
    `customizationContext` - customization information
    `member` - the `CommunityMember`
    `addrType` - the type of `MessagingAddress`.
  Returns
    a `Collection` of `MessagingAddress` objects of the specified type for the specified `CommunityMember`, if they exist, otherwise an empty `Collection`.
  Throws
    `RemoteException`
    `ProfileNotFoundException`

### getAllMessagingAddresses

    Collection<MessagingAddress> getAllMessagingAddresses(CustomizationContext customizationContext,
                                                          CommunityMember member)
                                                          throws RemoteException,
                                                                 ProfileNotFoundException

  Gets all of the `MessagingAddresses` associated with the specified `CommunityMember`, as determined by User profile values that are mapped to Communities `MessagingAddresses`.

  Parameters
    `customizationContext` - customization information
    `member` - the `CommunityMember`
  Returns
    a `Collection` of all `MessagingAddress` objects o for the specified `CommunityMember`, if they exist, otherwise an empty `Collection`.
  Throws
    `RemoteException`
    `ProfileNotFoundException`

### inviteToCommunity

    void inviteToCommunity(CustomizationContext customizationContext,
                           InviteeIterator invitees,
                           InvitationDetails inviteDetails,
                           CommunityInviter[] inviters)
                           throws RemoteException

  Invites a set of `Invitees` to a community, via a specified set of communications methods. This method is asynchronous- it returns before the invitations have been sent, allowing large batches of invitations to be sent in the background without a thread blocking.

  Parameters
    `customizationContext` - customization information
    `invitees` - an `InviteeIterator` that can enumerate all users to invite
    `inviters` - an array of `CommunityInviters` which specifies the various communications channel `Inviters` the framework should use to send the invitations. The array may be empty, meaning that invitations will be created but no mechanism will be used to inform the invitee(s) that they have been invited.
    `inviteDetails` - detailed information about the invitation to perform
  Throws
    `RemoteException`

### synchronousInviteToCommunity

    void synchronousInviteToCommunity(CustomizationContext customizationContext,
                                      InviteeIterator invitees,
                                      InvitationDetails inviteDetails,
                                      CommunityInviter[] inviters)
                                      throws RemoteException

  Invites a set of `Invitees` to a community, via a specified set of communications methods. This method is synchronous- it blocks until all invitations have been sent. The `inviteToCommunity` method is asynchronous and will not block.

  Parameters
    `customizationContext` - customization information
    `invitees` - an `InviteeIterator` that can enumerate all users to invite
    `inviters` - an array of `CommunityInviters` which specifies the various communications channel `Inviters` the framework should use to send the invitations. The array may be empty, meaning that invitations will be created but no mechanism will be used to inform the invitee(s) that they have been invited.
    `inviteDetails` - detailed information about the invitation to perform
  Throws
    `RemoteException`

### getInvitation

    Invitation getInvitation(CustomizationContext customizationContext,
                             String validationText)
                             throws RemoteException

  Retrieves an `Invitation` by validation text. This is useful for cases where the `Invitee` was an external user and does not yet have a WLS username, and where the application supplied a unique validation text for each `Invitee`

  Parameters
    `customizationContext` - customization information
    `validationText` -
  Returns
    invitation details for the invitation with the specified validation text, if it exists, otherwise null.
  Throws
    `RemoteException`

### getInvitation

    Invitation getInvitation(CustomizationContext customizationContext,
                             CommunityDefinitionId communityId,
                             String wlsUserName)
                             throws RemoteException

  Retrieves an `Invitation` by communityId and wlsUserName. This is useful for cases where the `Invitee` has an existing WLS username and the Community is known. If there is more than one `Invitation` for the specified user and community, the most recent `Invitation` will be returned.

  Parameters
    `customizationContext` - customization information
    `communityId` -
    `wlsUserName` -
  Returns
    an Invitation object for the specified community and user if one exists, null otherwise.
  Throws
    `RemoteException`

### getInvitation

    Invitation getInvitation(CustomizationContext customizationContext,
                             InviteeId inviteeId)
                             throws RemoteException

  Retrieves an `Invitation` by `InviteeId`. This is useful for cases where a Communities application has access to the `InviteeId`, typically obtained from a custom `CommunityInviter` implementation after an invitation operation has completed.

  Parameters
    `customizationContext` - customization information
    `inviteeId` -
  Returns
    invitation details for the invitation with the specified validation text, if it exists, otherwise null.
  Throws
    `RemoteException`

### getInvitations

    SortableFilterablePagedResult<Invitation> getInvitations(CustomizationContext customizationContext,
                                                             InvitationSearchCriteria invitationCriteria,
                                                             int pageSize)
                                                             throws RemoteException

  Paginated search method for getting `Invitations` matching the supplied `InvitationSearchCriteria` The returned PagedResult can be ordered by "USERNAME", "INVITE_ADDRESS", "STATUS", "DATE" and "FROM", and can be filterd by "INVITE_ADDRESS", "STATUS", "DATE" and "FROM", using these filter methods:
  - FilterMethod.BEGINS_WITH
  - FilterMethod.ENDS_WITH
  - FilterMethod.CONTAINS
  - FilterMethod.EQUALS

  Parameters
    `customizationContext` -
    `invitationCriteria` -
    `pageSize` - size of pages for
  Returns
    a `SortableFilterablePagedResult` of `Invitations` matching the `InvitationSearchCriteria`
  Throws
    `RemoteException`

### getInvitationsPage

    com.bea.netuix.application.manager.pagination.PageFetchResponse<Invitation> getInvitationsPage(com.bea.netuix.application.manager.pagination.RequestMetadata<com.bea.netuix.application.manager.persistence.jdbc.hint.InvitationPageFetchHint> request)
                                                                                                   throws RemoteException

  Callback method to support paging for getInvitations

  Parameters
    `request` -
  Returns
    `PageFetchResponse used by pagination framework`
  Throws
    `RemoteException`

### consumeInvitation

    InvitationStatus consumeInvitation(CustomizationContext customizationContext,
                                       InviteeId inviteeId,
                                       InvitationStatus toStatus)
                                       throws RemoteException

  Consumes an `Invitation` that is in active status and moves it to one of the inactive statuses. If the invitation was created with a self_destruct flag marked true, this will additionally delete the `Invitation` record.

  Parameters
    `customizationContext` - customization information
    `inviteeId` -
    `toStatus` -
  Returns
    the `InvitationStatus` that the system set the `Invitation` to. In the case of either expiration or prior revocation, this will be the status returned instead of the input status, so the caller should check to verify the actual result of the operation.
  Throws
    `RemoteException`

### removeInvitation

    void removeInvitation(CustomizationContext customizationContext,
                          InviteeId inviteeId)
                          throws RemoteException

  Deletes a single `Invitation` from the database.

  Parameters
    `customizationContext` - customization information
    `inviteeId` - the id of the invitation to delete
  Throws
    `RemoteException`

### cleanupInactiveInvitations

    void cleanupInactiveInvitations(CustomizationContext customizationContext,
                                    CommunityDefinitionId communityId)
                                    throws RemoteException

  Deletes all inactive status `Invitations` from the database for a specified Community.

  Parameters
    `customizationContext` - customization information
    `communityId` -
  Throws
    `RemoteException`

### cleanupAllInactiveInvitations

    void cleanupAllInactiveInvitations(CustomizationContext customizationContext)
                                       throws RemoteException

  Deletes all inactive status `Invitations` from the database

  Parameters
    `customizationContext` - customization information
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved